com.amazon.redshift.plugin.httpserver

## Class InternalServerException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.lang.RuntimeException
      - - com.amazon.redshift.plugin.InternalPluginException
        - - com.amazon.redshift.plugin.httpserver.InternalServerException

All Implemented Interfaces:
  Serializable

    public class InternalServerException
    extends InternalPluginException

Wrapper exception for http server errors.

Thread can`t throw any checked exceptions from run(), so it needs to be wrapped into RuntimeException.

See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`InternalServerException(Throwable cause)` Constructor.

### Method Summary

Methods
`static InternalServerException` `wrap(Exception exceptionToWrap)` Wrap Exception in this class.

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### InternalServerException

    public InternalServerException(Throwable cause)

Constructor.

Parameters:
  `cause` - Throwable object.

### Method Detail

#### wrap

    public static InternalServerException wrap(Exception exceptionToWrap)

Wrap Exception in this class.

Parameters:
  `exceptionToWrap` - Exception object.
Returns:
  instance of this class.